Update a reminder
curl --request PATCH \
--url https://connie.ai/api/reminders/{id} \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"remindAt": "2023-11-07T05:31:56Z",
"isCompleted": true,
"assignedTo": "<string>",
"entityType": "<string>",
"contactId": "<string>",
"companyId": "<string>",
"dealId": "<string>",
"conversationId": "<string>",
"messageId": "<string>",
"workflowId": "<string>"
}
'import requests
url = "https://connie.ai/api/reminders/{id}"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"remindAt": "2023-11-07T05:31:56Z",
"isCompleted": True,
"assignedTo": "<string>",
"entityType": "<string>",
"contactId": "<string>",
"companyId": "<string>",
"dealId": "<string>",
"conversationId": "<string>",
"messageId": "<string>",
"workflowId": "<string>"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
remindAt: '2023-11-07T05:31:56Z',
isCompleted: true,
assignedTo: '<string>',
entityType: '<string>',
contactId: '<string>',
companyId: '<string>',
dealId: '<string>',
conversationId: '<string>',
messageId: '<string>',
workflowId: '<string>'
})
};
fetch('https://connie.ai/api/reminders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reminder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "<string>",
"company_id": "<string>",
"deal_id": "<string>",
"conversation_id": "<string>",
"message_id": "<string>",
"workflow_id": "<string>",
"entity_type": "contact",
"title": "<string>",
"description": "<string>",
"remind_at": "2023-11-07T05:31:56Z",
"is_completed": true,
"assigned_to": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"conversation_external_id": "<string>"
}
}Reminders
Update a reminder
PATCH
/
reminders
/
{id}
Update a reminder
Authorizations
Path Parameters
Body
application/json
Accepts provider ID — resolved to DB UUID internally
Response
200 - application/json
Reminder updated
Show child attributes
Show child attributes